package net.wanji.opt.servicev2.syslog.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemCrossDayMapper;
import net.wanji.opt.dao.mapper.syslog.SysLogMapper;
import net.wanji.opt.entity.comprehensivequery.CrossLaneDataHistPoExtendName;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import net.wanji.opt.entity.syslog.SysOptimizeLog;
import net.wanji.opt.servicev2.syslog.SysLogServer;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 系统日志
 * </p>
 *
 * @author huangwm
 * @since 2025-03-26
 */
@Service
public class SysLogServerImpl extends ServiceImpl<SysLogMapper, SysOptimizeLog> implements SysLogServer {
    @Resource
    private SysLogMapper sysLogMapper;

    @Override
    public JSONObject findSysOptimizeLog(String crossId,String startTime,String endTime,Integer pageNum,Integer pageSize) {
        List<SysOptimizeLog> list = sysLogMapper.findSysOptimizeLog(crossId,startTime,endTime);
        List<SysOptimizeLog> collect = new ArrayList<>();
        if(CollectionUtils.isNotEmpty(list)){
            collect = list.stream().skip((pageNum - 1) * pageSize).limit(pageSize).collect(Collectors.toList());
        }
        JSONObject result = new JSONObject();
        result.put("fullDataList",list);
        result.put("pageList",collect);
        result.put("totalPage",Math.ceil((double) list.size() / pageSize));
        result.put("totalSize",list.size());
        return result;
    }
}
